# class Tk::TclX::XPG3_MsgCat

### Public Class Methods

new(catname, fail_mode=false) click to toggle source

    # File lib/tkextlib/tclx/tclx.rb, line 53
    def initialize(catname, fail_mode=false)
      if fail_mode
        @msgcat_id = Tk.tk_call('catopen', '-fail', catname)
      else
        @msgcat_id = Tk.tk_call('catopen', '-nofail', catname)
      end
    end

### Public Instance Methods

close(fail_mode=false) click to toggle source

    # File lib/tkextlib/tclx/tclx.rb, line 61
    def close(fail_mode=false)
      if fail_mode
        Tk.tk_call('catclose', '-fail', @msgcat_id)
      else
        Tk.tk_call('catclose', '-nofail', @msgcat_id)
      end
      self
    end

get(setnum, msgnum, defaultstr) click to toggle source

    # File lib/tkextlib/tclx/tclx.rb, line 70
    def get(setnum, msgnum, defaultstr)
      Tk.tk_call('catgets', @msgcat_id, setnum, msgnum, defaultstr)
    end